caferimo-stores-post-one¶
Source¶
Repository:
jef-systems/jef-caferimo-backendSource Run ID:
24962842310Source SHA:
c73d8c4fa33c496a8e9d39267e4868ddfa8978a5Module:
caferimoDocumentation Scope:
asyncLambda:
jef-caferimo-post-4
Endpoint¶
API Name:
jef-caferimoAction Name:
postMethod:
POSTScope Label:
AsyncResource Path:
/caferimo-stores-post-oneComplete Endpoint:
https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-stores-post-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-caferimo-post-4curl payload mode:
json_body
API Gateway Description¶
Function: jef-caferimo-post-4
Module: jef-caferimo
Action: post
Method: POST
Invocation Mode: ASYNC
Resource Path: /caferimo-stores-post-one
API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.
Table:
- table: jef-caferimo-stores
Payload Example:
- entity_number: 1001
- branch_name: Main Branch
- store_name: JEF Caferimo
- store_legal_name: JEF Caferimo Food Services
- store_tagline: Fresh coffee daily
- store_address_line_1: Rizal Street
- store_address_line_2: Near City Plaza
- store_barangay: Poblacion
- store_city: Bago City
- store_province: Negros Occidental
- store_postal_code: 6101
- store_country: Philippines
- store_phone: 034-000-0000
- store_mobile: 0917-000-0000
- store_email: [email protected]
- store_social: @jefcaferimo
- store_website: https://jefcaferimo.com
- store_tin: 000-000-000
- store_accr: ACCR-0001
- store_accr_valid: 2026-12-31
- store_permit_number: PERMIT-0001
- is_active: True
- is_deleted: False
- version: 1
- created_at: 2026-04-25T12:00:00Z
- updated_at: 2026-04-25T12:00:00Z
Payload Schema:
- entity_number: string
- branch_name: string
- store_name: string
- store_legal_name: string
- store_tagline: string
- store_address_line_1: string
- store_address_line_2: string
- store_barangay: string
- store_city: string
- store_province: string
- store_postal_code: string
- store_country: string
- store_phone: string
- store_mobile: string
- store_email: string
- store_social: string
- store_website: string
- store_tin: string
- store_accr: string
- store_accr_valid: string
- store_permit_number: string
- is_active: boolean
- is_deleted: boolean
- version: number
- created_at: string
- updated_at: string
Response Schema:
- is_accepted: boolean
- message: string
Request Payload¶
{
"entity_number": "1001",
"branch_name": "Main Branch",
"store_name": "JEF Caferimo",
"store_legal_name": "JEF Caferimo Food Services",
"store_tagline": "Fresh coffee daily",
"store_address_line_1": "Rizal Street",
"store_address_line_2": "Near City Plaza",
"store_barangay": "Poblacion",
"store_city": "Bago City",
"store_province": "Negros Occidental",
"store_postal_code": "6101",
"store_country": "Philippines",
"store_phone": "034-000-0000",
"store_mobile": "0917-000-0000",
"store_email": "[email protected]",
"store_social": "@jefcaferimo",
"store_website": "https://jefcaferimo.com",
"store_tin": "000-000-000",
"store_accr": "ACCR-0001",
"store_accr_valid": "2026-12-31",
"store_permit_number": "PERMIT-0001",
"is_active": "True",
"is_deleted": "False",
"version": "1",
"created_at": "2026-04-25T12:00:00Z",
"updated_at": "2026-04-25T12:00:00Z"
}
Response¶
{
"is_accepted": "boolean",
"message": "string"
}
CMD curl¶
curl -X POST "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-stores-post-one" -H "Content-Type: application/json" --data-raw "{\"entity_number\": \"1001\", \"branch_name\": \"Main Branch\", \"store_name\": \"JEF Caferimo\", \"store_legal_name\": \"JEF Caferimo Food Services\", \"store_tagline\": \"Fresh coffee daily\", \"store_address_line_1\": \"Rizal Street\", \"store_address_line_2\": \"Near City Plaza\", \"store_barangay\": \"Poblacion\", \"store_city\": \"Bago City\", \"store_province\": \"Negros Occidental\", \"store_postal_code\": \"6101\", \"store_country\": \"Philippines\", \"store_phone\": \"034-000-0000\", \"store_mobile\": \"0917-000-0000\", \"store_email\": \"[email protected]\", \"store_social\": \"@jefcaferimo\", \"store_website\": \"https://jefcaferimo.com\", \"store_tin\": \"000-000-000\", \"store_accr\": \"ACCR-0001\", \"store_accr_valid\": \"2026-12-31\", \"store_permit_number\": \"PERMIT-0001\", \"is_active\": true, \"is_deleted\": false, \"version\": 1, \"created_at\": \"2026-04-25T12:00:00Z\", \"updated_at\": \"2026-04-25T12:00:00Z\"}"
PowerShell curl¶
curl.exe -X POST "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-stores-post-one" -H "Content-Type: application/json" --data-raw '{"entity_number": "1001", "branch_name": "Main Branch", "store_name": "JEF Caferimo", "store_legal_name": "JEF Caferimo Food Services", "store_tagline": "Fresh coffee daily", "store_address_line_1": "Rizal Street", "store_address_line_2": "Near City Plaza", "store_barangay": "Poblacion", "store_city": "Bago City", "store_province": "Negros Occidental", "store_postal_code": "6101", "store_country": "Philippines", "store_phone": "034-000-0000", "store_mobile": "0917-000-0000", "store_email": "[email protected]", "store_social": "@jefcaferimo", "store_website": "https://jefcaferimo.com", "store_tin": "000-000-000", "store_accr": "ACCR-0001", "store_accr_valid": "2026-12-31", "store_permit_number": "PERMIT-0001", "is_active": true, "is_deleted": false, "version": 1, "created_at": "2026-04-25T12:00:00Z", "updated_at": "2026-04-25T12:00:00Z"}'